#library accepts only real numbers as data source
# data must also be represented in numeric form

import numpy as np
import matplotlib.pyplot as plt

# filename with results: CO2TVOCresult.CSV
No,co2 =np.loadtxt('CO2TVOCresult.CSV',unpack =True,usecols=(0,1),delimiter ='\t')
print(No,co2)
#Allocate space and determine the layout of the figure
fig, ax = plt.subplots()
ax.set_xlabel('measurement number')
ax.set_ylabel('CO2 pollution [ppm]')
plt.title('Strato flight Rockenhausen 07.05.2025 Erasmus+ EUBallon')
# plot  bar graph
plot = plt.bar(No, co2,width=1.0,color="tab:brown")
# Display chart
plt.show()
