#library accepts only real numbers as data source
# data must also be represented in numeric form

import numpy as np
import matplotlib.pyplot as plt

# filename with results: UVvolt.CSV
No,uvlevel=np.loadtxt('UVvolt.CSV',unpack=True,usecols=(0,1),delimiter ='\t')
print(No, uvlevel)
#Allocate space and determine the layout of the figure
fig, ax = plt.subplots()
ax.set_xlabel('measurement number')
ax.set_ylabel('UV level ')
plt.title('Strato flight Rockenhausen 07.05.2025 Erasmus+ EUBallon')
# plot  bar graph
plot = plt.bar(No, uvlevel,width=1.0,color='magenta')
# Display chart
plt.show()
