#library accepts only real numbers as data source
# data must also be represented in numeric form

import numpy as np
import matplotlib.pyplot as plt

# filename with results: presssuretemp.CSV
No,humid=np.loadtxt('presssuretemp.CSV',unpack=True, usecols=(0,3),delimiter ='\t')
print(No,humid)
#Allocate space and determine the layout of the figure
fig, ax = plt.subplots()
ax.set_xlabel('measurement number')
ax.set_ylabel('Humidity [%]')
plt.title('Strato flight Rockenhausen 07.05.2025 Erasmus+ EUBallon')
# plot  bar graph
plot = plt.bar(No, humid,width=1.0,color='red')
# Display chart
plt.show()
