#library accepts only real numbers as data source
# data must also be represented in numeric form

import numpy as np
import matplotlib.pyplot as plt

# filename with results: CO2TVOCresult.CSV
No,tvoc=np.loadtxt('CO2TVOCresult.CSV',unpack=True,usecols=(0,2),delimiter ='\t')
print(No, tvoc)
#Allocate space and determine the layout of the figure
fig, ax = plt.subplots()
ax.set_xlabel('measurement number')
ax.set_ylabel('organic pollution TVOC [ppb]')
plt.title('Strato flight Rockenhausen 07.05.2025 Erasmus+ EUBallon')
# plot  bar graph
plot = plt.bar(No, tvoc,width=1.0,color="tab:olive")
# Display chart
plt.show()
